Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -734,124 +714,110 @@
           IF ( mask_surface(mid) )  THEN
 !
-!--          In case of terrain-following output, the vertical dimensions are
-!--          indices, not meters
-             CALL netcdf_create_dim( id_set_mask(mid,av), 'ku_above_surf',     &
-                                     mask_size(mid,3), id_dim_zu_mask(mid,av), &
+!--          In case of terrain-following output, the vertical dimensions are indices, not meters.
+             CALL netcdf_create_dim( id_set_mask(mid,av), 'ku_above_surf',                         &
+                                     mask_size(mid,3), id_dim_zu_mask(mid,av),                     &
                                      470 )
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_zu_mask(mid,av) /),             &
-                                     'ku_above_surf',                          &
-                                     NF90_DOUBLE, id_var_zu_mask(mid,av),      &
-                                     '1', 'grid point above terrain',          &
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_zu_mask(mid,av) /),                                 &
+                                     'ku_above_surf',                                              &
+                                     NF90_DOUBLE, id_var_zu_mask(mid,av),                          &
+                                     '1', 'grid point above terrain',                              &
                                      471, 472, 000 )
-             CALL netcdf_create_att( id_set_mask(mid,av),                      &
-                                     id_var_zu_mask(mid,av), 'axis', 'Z', 000)
-                                     
-             CALL netcdf_create_dim( id_set_mask(mid,av), 'kw_above_surf',     &
-                                     mask_size(mid,3), id_dim_zw_mask(mid,av), &
+             CALL netcdf_create_att( id_set_mask(mid,av), id_var_zu_mask(mid,av), 'axis', 'Z', 000)
+
+             CALL netcdf_create_dim( id_set_mask(mid,av), 'kw_above_surf',                         &
+                                     mask_size(mid,3), id_dim_zw_mask(mid,av),                     &
                                      473 )
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_zw_mask(mid,av) /),             &
-                                     'kw_above_surf',                          &
-                                     NF90_DOUBLE, id_var_zw_mask(mid,av),      &
-                                    '1', 'grid point above terrain',           &
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_zw_mask(mid,av) /),                                 &
+                                     'kw_above_surf',                                              &
+                                     NF90_DOUBLE, id_var_zw_mask(mid,av),                          &
+                                    '1', 'grid point above terrain',                               &
                                     474, 475, 000 )
-             CALL netcdf_create_att( id_set_mask(mid,av),                      &
-                                     id_var_zw_mask(mid,av), 'axis', 'Z', 000)
+             CALL netcdf_create_att( id_set_mask(mid,av),id_var_zw_mask(mid,av), 'axis', 'Z', 000)
           ELSE
 !
 !--          Define vertical coordinate grid (zu grid)
-             CALL netcdf_create_dim( id_set_mask(mid,av), 'zu_3d',             &
-                                     mask_size(mid,3), id_dim_zu_mask(mid,av), &
+             CALL netcdf_create_dim( id_set_mask(mid,av), 'zu_3d',                                 &
+                                     mask_size(mid,3), id_dim_zu_mask(mid,av),                     &
                                      470 )
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_zu_mask(mid,av) /), 'zu_3d',    &
-                                     NF90_DOUBLE, id_var_zu_mask(mid,av),      &
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_zu_mask(mid,av) /), 'zu_3d',                        &
+                                     NF90_DOUBLE, id_var_zu_mask(mid,av),                          &
                                      'meters', '', 471, 472, 000 )
-             CALL netcdf_create_att( id_set_mask(mid,av),                      &
-                                     id_var_zu_mask(mid,av), 'axis', 'Z', 000)
+             CALL netcdf_create_att( id_set_mask(mid,av), id_var_zu_mask(mid,av), 'axis', 'Z', 000)
 !
 !--          Define vertical coordinate grid (zw grid)
-             CALL netcdf_create_dim( id_set_mask(mid,av), 'zw_3d',             &
-                                     mask_size(mid,3), id_dim_zw_mask(mid,av), &
+             CALL netcdf_create_dim( id_set_mask(mid,av), 'zw_3d',                                 &
+                                     mask_size(mid,3), id_dim_zw_mask(mid,av),                     &
                                      473 )
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_zw_mask(mid,av) /), 'zw_3d',    &
-                                     NF90_DOUBLE, id_var_zw_mask(mid,av),      &
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_zw_mask(mid,av) /), 'zw_3d',                        &
+                                     NF90_DOUBLE, id_var_zw_mask(mid,av),                          &
                                     'meters', '', 474, 475, 000 )
-             CALL netcdf_create_att( id_set_mask(mid,av),                      &
-                                     id_var_zw_mask(mid,av), 'axis', 'Z', 000)
+             CALL netcdf_create_att( id_set_mask(mid,av), id_var_zw_mask(mid,av), 'axis', 'Z', 000)
           ENDIF
 !
 !--       Define x-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_mask(mid,av), 'x', mask_size(mid,1),  &
+          CALL netcdf_create_dim( id_set_mask(mid,av), 'x', mask_size(mid,1),                      &
                                   id_dim_x_mask(mid,av), 476 )
-          CALL netcdf_create_var( id_set_mask(mid,av),                         &
-                                  (/ id_dim_x_mask(mid,av) /), 'x',            &
-                                  NF90_DOUBLE, id_var_x_mask(mid,av),          &
+          CALL netcdf_create_var( id_set_mask(mid,av),                                             &
+                                  (/ id_dim_x_mask(mid,av) /), 'x',                                &
+                                  NF90_DOUBLE, id_var_x_mask(mid,av),                              &
                                   'meters', '', 477, 478, 000 )
-          CALL netcdf_create_att( id_set_mask(mid,av), id_var_x_mask(mid,av),  &
-                                  'axis', 'X', 000)
+          CALL netcdf_create_att( id_set_mask(mid,av), id_var_x_mask(mid,av), 'axis', 'X', 000)
 !
 !--       Define x-axis (for u position)
-          CALL netcdf_create_dim( id_set_mask(mid,av), 'xu', mask_size(mid,1), &
+          CALL netcdf_create_dim( id_set_mask(mid,av), 'xu', mask_size(mid,1),                     &
                                   id_dim_xu_mask(mid,av), 479 )
-          CALL netcdf_create_var( id_set_mask(mid,av),                         &
-                                  (/ id_dim_xu_mask(mid,av) /), 'xu',          &
-                                  NF90_DOUBLE, id_var_xu_mask(mid,av),         &
+          CALL netcdf_create_var( id_set_mask(mid,av),                                             &
+                                  (/ id_dim_xu_mask(mid,av) /), 'xu',                              &
+                                  NF90_DOUBLE, id_var_xu_mask(mid,av),                             &
                                   'meters', '', 480, 481, 000 )
-          CALL netcdf_create_att( id_set_mask(mid,av), id_var_xu_mask(mid,av), & 
-                                  'axis', 'X', 000)
+          CALL netcdf_create_att( id_set_mask(mid,av), id_var_xu_mask(mid,av), 'axis', 'X', 000)
 !
 !--       Define y-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_mask(mid,av), 'y', mask_size(mid,2),  &
+          CALL netcdf_create_dim( id_set_mask(mid,av), 'y', mask_size(mid,2),                      &
                                   id_dim_y_mask(mid,av), 482 )
-          CALL netcdf_create_var( id_set_mask(mid,av),                         &
-                                  (/ id_dim_y_mask(mid,av) /), 'y',            &
-                                  NF90_DOUBLE, id_var_y_mask(mid,av),          &
+          CALL netcdf_create_var( id_set_mask(mid,av),                                             &
+                                  (/ id_dim_y_mask(mid,av) /), 'y',                                &
+                                  NF90_DOUBLE, id_var_y_mask(mid,av),                              &
                                   'meters', '', 483, 484, 000 )
-          CALL netcdf_create_att( id_set_mask(mid,av), id_var_y_mask(mid,av),  &
-                                  'axis', 'Y', 000)
+          CALL netcdf_create_att( id_set_mask(mid,av), id_var_y_mask(mid,av), 'axis', 'Y', 000)
 !
 !--       Define y-axis (for v position)
-          CALL netcdf_create_dim( id_set_mask(mid,av), 'yv', mask_size(mid,2), &
+          CALL netcdf_create_dim( id_set_mask(mid,av), 'yv', mask_size(mid,2),                     &
                                   id_dim_yv_mask(mid,av), 485 )
-          CALL netcdf_create_var( id_set_mask(mid,av),                         &
-                                  (/ id_dim_yv_mask(mid,av) /),                &
-                                  'yv', NF90_DOUBLE, id_var_yv_mask(mid,av),   &
+          CALL netcdf_create_var( id_set_mask(mid,av),                                             &
+                                  (/ id_dim_yv_mask(mid,av) /),                                    &
+                                  'yv', NF90_DOUBLE, id_var_yv_mask(mid,av),                       &
                                   'meters', '', 486, 487, 000 )
-          CALL netcdf_create_att( id_set_mask(mid,av), id_var_yv_mask(mid,av), & 
-                                  'axis', 'Y', 000)
+          CALL netcdf_create_att( id_set_mask(mid,av), id_var_yv_mask(mid,av), 'axis', 'Y', 000)
 !
 !--       Define UTM and geographic coordinates
-          CALL define_geo_coordinates( id_set_mask(mid,av),               &
-                  (/ id_dim_x_mask(mid,av), id_dim_xu_mask(mid,av) /),    &
-                  (/ id_dim_y_mask(mid,av), id_dim_yv_mask(mid,av) /),    &
-                  id_var_eutm_mask(:,mid,av), id_var_nutm_mask(:,mid,av), &
-                  id_var_lat_mask(:,mid,av), id_var_lon_mask(:,mid,av)    )
+          CALL define_geo_coordinates( id_set_mask(mid,av),                                        &
+                                       (/ id_dim_x_mask(mid,av), id_dim_xu_mask(mid,av) /),        &
+                                       (/ id_dim_y_mask(mid,av), id_dim_yv_mask(mid,av) /),        &
+                                       id_var_eutm_mask(:,mid,av), id_var_nutm_mask(:,mid,av),     &
+                                       id_var_lat_mask(:,mid,av), id_var_lon_mask(:,mid,av)    )
 !
 !--       Define coordinate-reference system
           CALL netcdf_create_crs( id_set_mask(mid,av), 000 )
 !
-!--       In case of non-flat topography define 2d-arrays containing the height
-!--       information. Only for parallel netcdf output.
-          IF ( TRIM( topography ) /= 'flat'  .AND.                             &
-               netcdf_data_format > 4 )  THEN
+!--       In case of non-flat topography define 2d-arrays containing the height information. Only
+!--       for parallel netcdf output.
+          IF ( TRIM( topography ) /= 'flat'  .AND.  netcdf_data_format > 4 )  THEN
 !
 !--          Define zusi = zu(nzb_s_inner)
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_x_mask(mid,av),                 &
-                                        id_dim_y_mask(mid,av) /), 'zusi',      &
-                                     NF90_DOUBLE, id_var_zusi_mask(mid,av),    &
-                                     'meters', 'zu(nzb_s_inner)', 488, 489,    &
-                                     490 )
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_x_mask(mid,av), id_dim_y_mask(mid,av) /), 'zusi',   &
+                                     NF90_DOUBLE, id_var_zusi_mask(mid,av),                        &
+                                     'meters', 'zu(nzb_s_inner)', 488, 489, 490 )
 !
 !--          Define zwwi = zw(nzb_w_inner)
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_x_mask(mid,av),                 &
-                                        id_dim_y_mask(mid,av) /), 'zwwi',      &
-                                     NF90_DOUBLE, id_var_zwwi_mask(mid,av),    &
-                                     'meters', 'zw(nzb_w_inner)', 491, 492,    &
-                                     493 )
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_x_mask(mid,av), id_dim_y_mask(mid,av) /), 'zwwi',   &
+                                     NF90_DOUBLE, id_var_zwwi_mask(mid,av),                        &
+                                     'meters', 'zw(nzb_w_inner)', 491, 492, 493 )
           ENDIF
 
@@ -859,13 +825,12 @@
 !
 !--          Define vertical coordinate grid (zw grid)
-             CALL netcdf_create_dim( id_set_mask(mid,av), 'zs_3d',             &
-                                     mask_size(mid,3), id_dim_zs_mask(mid,av), &
+             CALL netcdf_create_dim( id_set_mask(mid,av), 'zs_3d',                                 &
+                                     mask_size(mid,3), id_dim_zs_mask(mid,av),                     &
                                      536 )
-             CALL netcdf_create_var( id_set_mask(mid,av),                      &
-                                     (/ id_dim_zs_mask(mid,av) /), 'zs_3d',    &
-                                     NF90_DOUBLE, id_var_zs_mask(mid,av),      &
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_dim_zs_mask(mid,av) /), 'zs_3d',                        &
+                                     NF90_DOUBLE, id_var_zs_mask(mid,av),                          &
                                      'meters', '', 537, 555, 000 )
-             CALL netcdf_create_att( id_set_mask(mid,av),                      &
-                                     id_var_zs_mask(mid,av), 'axis', 'Z', 000)
+             CALL netcdf_create_att( id_set_mask(mid,av), id_var_zs_mask(mid,av), 'axis', 'Z', 000)
           ENDIF
 
@@ -875,5 +840,5 @@
           i = 1
 
-          DO WHILE ( domask(mid,av,i)(1:1) /= ' ' )
+          DO  WHILE ( domask(mid,av,i)(1:1) /= ' ' )
 
              trimvar = TRIM( domask(mid,av,i) )
@@ -884,6 +849,6 @@
 !
 !--             Most variables are defined on the scalar grid
-                CASE ( 'e', 'nc', 'nr', 'p', 'pc', 'pr', 'prr',                &
-                       'q', 'qc', 'ql', 'ql_c', 'ql_v', 'ql_vp', 'qr', 'qv',   &
+                CASE ( 'e', 'nc', 'nr', 'p', 'pc', 'pr', 'prr',                                    &
+                       'q', 'qc', 'ql', 'ql_c', 'ql_v', 'ql_vp', 'qr', 'qv',                       &
                        's', 'theta', 'thetal', 'thetav', 'qi', 'ni', 'qg', 'ng', 'qs', 'ns' )
 
@@ -923,5 +888,5 @@
                    ENDIF
 
-                   IF ( .NOT. found )                                          &
+                   IF ( .NOT. found )                                                              &
                       CALL doq_define_netcdf_grid( trimvar, found, grid_x, grid_y, grid_z )
 
@@ -991,9 +956,9 @@
 !
 !--          Define the grid
-             CALL netcdf_create_var( id_set_mask(mid,av), (/ id_x, id_y, id_z, &
-                                     id_dim_time_mask(mid,av) /),              &
-                                     domask(mid,av,i), nc_precision(11),       &
-                                     id_var_domask(mid,av,i),                  &
-                                     TRIM( domask_unit(mid,av,i) ),            &
+             CALL netcdf_create_var( id_set_mask(mid,av),                                          &
+                                     (/ id_x, id_y, id_z, id_dim_time_mask(mid,av) /),             &
+                                     domask(mid,av,i), nc_precision(11),                           &
+                                     id_var_domask(mid,av,i),                                      &
+                                     TRIM( domask_unit(mid,av,i) ),                                &
                                      domask(mid,av,i), 494, 495, 496, .TRUE. )
 
@@ -1009,8 +974,7 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs and by combine_plot_fields)
-          nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), NF90_GLOBAL, &
-                                  'VAR_LIST', var_list )
+!--       Write the list of variables as global attribute (this is used by restart runs and by
+!--       combine_plot_fields).
+          nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 497 )
 
@@ -1026,6 +990,6 @@
           netcdf_data = ( mask_i_global(mid,:mask_size(mid,1)) + 0.5_wp ) * dx
 
-          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_x_mask(mid,av), &
-                                  netcdf_data, start = (/ 1 /),               &
+          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_x_mask(mid,av),                      &
+                                  netcdf_data, start = (/ 1 /),                                    &
                                   count = (/ mask_size(mid,1) /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 499 )
@@ -1033,6 +997,6 @@
           netcdf_data = mask_i_global(mid,:mask_size(mid,1)) * dx
 
-          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_xu_mask(mid,av),&
-                                  netcdf_data, start = (/ 1 /),               &
+          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_xu_mask(mid,av),                     &
+                                  netcdf_data, start = (/ 1 /),                                    &
                                   count = (/ mask_size(mid,1) /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 500 )
@@ -1046,6 +1010,6 @@
           netcdf_data = ( mask_j_global(mid,:mask_size(mid,2)) + 0.5_wp ) * dy
 
-          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_y_mask(mid,av), &
-                                  netcdf_data, start = (/ 1 /),               &
+          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_y_mask(mid,av),                      &
+                                  netcdf_data, start = (/ 1 /),                                    &
                                   count = (/ mask_size(mid,2) /))
           CALL netcdf_handle_error( 'netcdf_define_header', 501 )
@@ -1053,6 +1017,6 @@
           netcdf_data = mask_j_global(mid,:mask_size(mid,2)) * dy
 
-          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_yv_mask(mid,av), &
-                                  netcdf_data, start = (/ 1 /),    &
+          nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_yv_mask(mid,av),                     &
+                                  netcdf_data, start = (/ 1 /),                                    &
                                   count = (/ mask_size(mid,2) /))
           CALL netcdf_handle_error( 'netcdf_define_header', 502 )
@@ -1084,10 +1048,10 @@
                 ENDIF
 
-                netcdf_data = init_model%origin_x + cos_rot_angle              &
-                       * ( mask_i_global(mid,:mask_size(mid,1)) + shift_x ) * dx
-
-                nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), &
-                                        id_var_eutm_mask(k,mid,av), &
-                                        netcdf_data, start = (/ 1 /), &
+                netcdf_data = init_model%origin_x + cos_rot_angle                                  &
+                                 * ( mask_i_global(mid,:mask_size(mid,1)) + shift_x ) * dx
+
+                nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                       &
+                                        id_var_eutm_mask(k,mid,av),                                &
+                                        netcdf_data, start = (/ 1 /),                              &
                                         count = (/ mask_size(mid,1) /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -1113,10 +1077,10 @@
                 ENDIF
 
-                netcdf_data = init_model%origin_y + cos_rot_angle              &
-                       * ( mask_j_global(mid,:mask_size(mid,2)) + shift_y ) * dy
-
-                nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), &
-                                        id_var_nutm_mask(k,mid,av), &
-                                        netcdf_data, start = (/ 1 /), &
+                netcdf_data = init_model%origin_y + cos_rot_angle                                  &
+                                 * ( mask_j_global(mid,:mask_size(mid,2)) + shift_y ) * dy
+
+                nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                       &
+                                        id_var_nutm_mask(k,mid,av),                                &
+                                        netcdf_data, start = (/ 1 /),                              &
                                         count = (/ mask_size(mid,2) /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -1149,30 +1113,28 @@
                DO  j = 1, mask_size(mid,2)
                   DO  i = 1, mask_size(mid,1)
-                     netcdf_data_2d(i,j) = init_model%origin_x                        &
-                           + cos_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx  &
-                           + sin_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
+                     netcdf_data_2d(i,j) = init_model%origin_x                                     &
+                                         + cos_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx &
+                                         + sin_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
                   ENDDO
                ENDDO
 
-               nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), &
-                                       id_var_eutm_mask(k,mid,av), &
-                                       netcdf_data_2d, start = (/ 1, 1 /), &
-                                       count = (/ mask_size(mid,1), &
-                                                  mask_size(mid,2) /) )
+               nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                        &
+                                       id_var_eutm_mask(k,mid,av),                                 &
+                                       netcdf_data_2d, start = (/ 1, 1 /),                         &
+                                       count = (/ mask_size(mid,1), mask_size(mid,2) /) )
                CALL netcdf_handle_error( 'netcdf_define_header', 555 )
 
                DO  j = 1, mask_size(mid,2)
                   DO  i = 1, mask_size(mid,1)
-                     netcdf_data_2d(i,j) = init_model%origin_y                        &
-                           - sin_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx  &
-                           + cos_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
+                     netcdf_data_2d(i,j) = init_model%origin_y                                     &
+                                         - sin_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx &
+                                         + cos_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
                   ENDDO
                ENDDO
 
-               nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), &
-                                       id_var_nutm_mask(k,mid,av), &
-                                       netcdf_data_2d, start = (/ 1, 1 /), &
-                                       count = (/ mask_size(mid,1), &
-                                                  mask_size(mid,2) /) )
+               nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                        &
+                                       id_var_nutm_mask(k,mid,av),                                 &
+                                       netcdf_data_2d, start = (/ 1, 1 /),                         &
+                                       count = (/ mask_size(mid,1), mask_size(mid,2) /) )
                CALL netcdf_handle_error( 'netcdf_define_header', 556 )
 
@@ -1204,29 +1166,25 @@
              DO  j = 1, mask_size(mid,2)
                 DO  i = 1, mask_size(mid,1)
-                   eutm = init_model%origin_x                                      &
-                        + cos_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx  &
-                        + sin_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
-                   nutm = init_model%origin_y                                      &
-                        - sin_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx  &
-                        + cos_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
-
-                   CALL  convert_utm_to_geographic( crs_list,          &
-                                                    eutm, nutm,        &
-                                                    lon(i,j), lat(i,j) )
+                   eutm = init_model%origin_x                                                      &
+                          + cos_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx                &
+                          + sin_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
+                   nutm = init_model%origin_y                                                      &
+                          - sin_rot_angle * ( mask_i_global(mid,i) + shift_x ) * dx                &
+                          + cos_rot_angle * ( mask_j_global(mid,j) + shift_y ) * dy
+
+                   CALL  convert_utm_to_geographic( crs_list, eutm, nutm, lon(i,j), lat(i,j) )
                 ENDDO
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),           &
-                                     id_var_lon_mask(k,mid,av),     &
-                                     lon, start = (/ 1, 1 /),       &
-                                     count = (/ mask_size(mid,1),   &
-                                                mask_size(mid,2) /) )
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                          &
+                                     id_var_lon_mask(k,mid,av),                                    &
+                                     lon, start = (/ 1, 1 /),                                      &
+                                     count = (/ mask_size(mid,1), mask_size(mid,2) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 556 )
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),           &
-                                     id_var_lat_mask(k,mid,av),     &
-                                     lat, start = (/ 1, 1 /),       &
-                                     count = (/ mask_size(mid,1),   &
-                                                mask_size(mid,2) /) )
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av),                                          &
+                                     id_var_lat_mask(k,mid,av),                                    &
+                                     lat, start = (/ 1, 1 /),                                      &
+                                     count = (/ mask_size(mid,1), mask_size(mid,2) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 556 )
           ENDDO
@@ -1242,6 +1200,6 @@
              netcdf_data = mask_k_global(mid,:mask_size(mid,3))
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zu_mask(mid,av), &
-                                     netcdf_data, start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zu_mask(mid,av),                  &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ mask_size(mid,3) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 503 )
@@ -1249,6 +1207,6 @@
              netcdf_data = mask_k_global(mid,:mask_size(mid,3))
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zw_mask(mid,av), &
-                                     netcdf_data, start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zw_mask(mid,av),                  &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ mask_size(mid,3) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 504 )
@@ -1258,6 +1216,6 @@
              netcdf_data = zu( mask_k_global(mid,:mask_size(mid,3)) )
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zu_mask(mid,av), &
-                                     netcdf_data, start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zu_mask(mid,av),                  &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ mask_size(mid,3) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 503 )
@@ -1265,6 +1223,6 @@
              netcdf_data = zw( mask_k_global(mid,:mask_size(mid,3)) )
 
-             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zw_mask(mid,av), &
-                                     netcdf_data, start = (/ 1 /), &
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zw_mask(mid,av),                  &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ mask_size(mid,3) /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 504 )
